MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
FEmoShapeLatentAction Class Reference

`#include <EmoShapeLambdaRunnable.h>`

Inheritance diagram for FEmoShapeLatentAction:

## Public Member Functions
| FEmoShapeLatentAction (const FLatentActionInfo &LatentInfo)
virtual void | UpdateOperation (FLatentResponse &Response) override
void | Call ()
void | Cancel ()
virtual void | NotifyObjectDestroyed () override
virtual void | NotifyActionAborted () override

## Static Public Member Functions
static FEmoShapeLatentAction * | CreateLatentAction (struct FLatentActionInfo &LatentInfo, UObject *WorldContext)

## Public Attributes
TFunction< void()> | OnCancelNotification = nullptr
const FName | ExecutionFunction
const int32 | OutputLink
const FWeakObjectPtr | CallbackTarget

## Constructor & Destructor Documentation

## ◆ FEmoShapeLatentAction()

FEmoShapeLatentAction::FEmoShapeLatentAction | ( | const FLatentActionInfo & | LatentInfo | ) |

## Member Function Documentation

## ◆ Call()

void FEmoShapeLatentAction::Call | ( |  | ) |

## ◆ Cancel()

void FEmoShapeLatentAction::Cancel | ( |  | ) |

## ◆ CreateLatentAction()

FEmoShapeLatentAction * FEmoShapeLatentAction::CreateLatentAction | ( | struct FLatentActionInfo & | LatentInfo,
|  | UObject * | WorldContext )
| static

Note that you need to use the resulting call to cleanly exit

## ◆ NotifyActionAborted()

void FEmoShapeLatentAction::NotifyActionAborted | ( |  | ) |
| override virtual

## ◆ NotifyObjectDestroyed()

void FEmoShapeLatentAction::NotifyObjectDestroyed | ( |  | ) |
| override virtual

## ◆ UpdateOperation()

void FEmoShapeLatentAction::UpdateOperation | ( | FLatentResponse & | Response | ) |
| override virtual

## Member Data Documentation

## ◆ CallbackTarget

const FWeakObjectPtr FEmoShapeLatentAction::CallbackTarget

## ◆ ExecutionFunction

const FName FEmoShapeLatentAction::ExecutionFunction

## ◆ OnCancelNotification

TFunction<void()> FEmoShapeLatentAction::OnCancelNotification = nullptr

## ◆ OutputLink

const int32 FEmoShapeLatentAction::OutputLink

The documentation for this class was generated from the following files:

- EmoShapeWebUtility/Public/EmoShapeLambdaRunnable.h
- EmoShapeWebUtility/Private/EmoShapeLambdaRunnable.cpp